petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscProcessTree

Prepares tree data to be displayed graphically

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscProcessTree(PetscInt n,const PetscBool mask[],const PetscInt parentid[],PetscInt *Nlevels,PetscInt **Level,PetscInt **Levelcnt,PetscInt **Idbylevel,PetscInt **Column)

Not Collective Many br

### Input Parameters

| n | - number of values Many br
| mask | - indicates those entries in the tree, location 0 is always masked Many br
| parentid | - indicates the parent of each entry Many br

### Output Parameters

| Nlevels | - the number of levels Many br
| Level | - for each node tells its level Many br
| Levelcnts | - the number of nodes on each level Many br
| Idbylevel | - a list of ids on each of the levels, first level followed by second etc Many br
| Column | - for each id tells its column index Many br

Many br

### See Also

PetscSortReal(), PetscSortIntWithPermutation()

Level:intermediate
Location:src/sys/utils/sorti.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages